function [prob,e1] = findY(res,div,times,grid);

% res - integral matrix
% cp - control points times
% samt - sampling time

expNum = size(times,2);
grid = grid+2;
t1 = (times-times(1))*(grid-3)/(times(expNum)-times(1)) + 1;
gridVals = [0:grid-1];
S = createS(t1,gridVals,grid,expNum);
v = (res/div)^.5;
z = v^(-1);
m = z*S'*S*z;
vals = eig(m);
[mn pl] = min(vals)
[V,D] = eig(m);
sel = V(:,pl);
diff = z*sel;
e1 = S*diff;
err= e1'*e1
nErr = err/.33^2
tot = size(times,2);
chi2cdf(nErr,tot+1)
%curD = normcdf(singErr,0,.33);
%curD = 1 - 2*curD;
%prob = 1-curD^expNum;
