function sig = findSigma(Y,AllS,Mue,Gamma,num,numVals,clNum,c,Theta,pSig);

% Y - Y a matrix, each column corresponds to a gene.
% AllS - Collection of matrices for each gene
% Gamma - Matrix of the currently estimated Gammas
% num - number of genes
% Mue - Class averages
% t - the time point for each of the possible values
% c - class assignment

tot = 0;
tot1 = 0;
preT = zeros(size(Gamma,1),size(Gamma,1),clNum);
for j=1:clNum,
  preT(:,:,j) = Theta(:,:,j)^(-1);
end 
for i=1:num, 
  S = AllS(:,:,i);
  curS = (AllS(:,:,i)'*AllS(:,:,i))/pSig;
  vec = Y(:,i) - S*(Mue(:,c(i))+Gamma(:,i));
  tr = trace((preT(:,:,c(i))+curS)^(-1)*S'*S);
  tot = tot + (vec'*vec);
  tot1 = tot1+ tr;
end
sig = (tot+tot1)/sum(numVals);
sig1 = tot/sum(numVals)  
