function [frq,totFrq,pval] = compOverBind(bind,p,thresh);

% bind - binding info table
% p - p-value for each of the genes
% thresh - threshold for the p-value array

[genes,tf] = size(bind);
f1 = find(p<=thresh);
geneSel = size(f1,2)
frq = 1:tf;
totFrq = 1:tf;
selBind = bind(f1,:);

for i=1:tf,
  frq(i) = sum(selBind(:,i) < .005)/geneSel;
  totFrq(i) = sum(bind(:,i) < .005)/genes;
end 
