function uVars = findVarsforVals(useVals,vals,vars);

% useVals - values for which we are looking for variance
% vals - values for which we computed the variance
% vars - the variance for the values in vals

nVals= size(useVals,2);
uVars =1:nVals;
for i=1:nVals,
  [Y p] = min(abs(vals-useVals(i)));
  uVars(i) = vars(p);
end
