function c = findCoef(t)

% find the spline coefficient for this value

if t < -2  
  c = 0;
  elseif t >= -2 & t < -1
     c = (t+2)^3/6;
  elseif t >= -1 & t < 0
     c = 2/3 + t/2 + (t+1)^2/2 - (t+1)^3/2;
  elseif t >= 0 & t < 1
     c = 2/3 - t^2 + t^3/2;
  elseif t >=1 & t < 2
     c = 2/3 - t/2 + (t-1)^2/2 - (t-1)^3/6;
  else
     c = 0;
end
