function m = findMean(Y,X,c,start,finish);

% Y - the reading values
% X - class label
% start, finish - time points to estimate
% c - the class to which this gene belongs

m = zeros(1,finish-start+1);
for i=start:finish,
   v = Y(i,X == c);
   v = v(v < 100);
   m(i-start+1) = mean(v);
end

